package com.prolog.eis.enums.station;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum StationTaskTypeEnum {
    INBOUND_TYPE(10, "入库"),
    OUTBOUND_TYPE(20, "出库"),
    PICK_TYPE(30, "拣选站台"),
    ;
    private Integer code;
    private String msg;

    public static StationTaskTypeEnum getByCode(Integer code) {
        StationTaskTypeEnum statusEnum = null;

        for (StationTaskTypeEnum value : values()) {
            if (value.getCode().equals(code)) {
                statusEnum = value;
            }
        }
        return statusEnum;
    }
}
